Bug 1022297 - Build source jar for asm-3.3.1
Build source jar for asm-3.3.1
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.2.0
Assigned To: Yong Yang
Pavel Jelinek
:
Depends On:
Blocks: 908741
  Show dependency treegraph
 
Reported: 2013-10-22 22:11 EDT by Paul Gier
Modified: 2013-12-15 11:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:48:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Gier 2013-10-22 22:11:00 EDT
The current build of asm 3.3.1 does not include a source jar.  The build should be updated to generate a source jar.
https://brewweb.devel.redhat.com/buildinfo?buildID=268236
Comment 1 Vladimir Dosoudil 2013-10-25 09:44:09 EDT
PR for EAP: https://github.com/jbossas/jboss-eap/pull/622
Comment 2 Vladimir Dosoudil 2013-10-29 09:27:52 EDT
Merged in https://github.com/jbossas/jboss-eap/commit/455f3c8adc
Comment 3 Pavel Jelinek 2013-11-08 08:18:16 EST
Verified for EAP 6.2.0 ER7.

There is 
jboss-eap-6.2.0.GA-maven-repository/asm/asm/3.3.1-redhat-5/asm-3.3.1-redhat-5-sources.jar
in jboss-eap-6.2.0.ER7-maven-repository.zip.

It contains sources for even more packages than provided in jboss-eap-6.2.0.GA-maven-repository/asm/asm/3.3.1-redhat-5/asm-3.3.1-redhat-5.jar. 
In fact it contains sources for asm-all library.

Note You need to log in before you can comment on or make changes to this bug.